package idc.comment.command;

import idc.model.IdcDAO;
import idc.model.IdcMemberDBDTO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class commentWriteCmd implements CommentCmd{
	private IdcDAO dao = new IdcDAO();
	
	public void execute(HttpServletRequest request, HttpServletResponse response) {
	
		//checkToken 값이 다르면 true반환.
		if(dao.checkToken(request)){
			request.setAttribute("reError", dao.reError);
			return;
		}else{
			//토큰이 같아서 등록성공이 될 경우 토큰을 삭제해 준다.
			request.getSession().removeAttribute("token");
		}
				
		CommentDAO dao = new CommentDAO();
		
		//세션에서 아이디값 가져오기
		IdcMemberDBDTO d1to = (IdcMemberDBDTO)request.getSession().getAttribute("member");
		String id = d1to.getId();

		String comment_case = request.getParameter("comment_case");
		String receiver = request.getParameter("receiver");
		String content = request.getParameter("content");
		
		//게시글 등록 기능 수행
		dao.writeComment(id, comment_case, content, receiver);
	
	}

}
